hi i need help

Get help with installation and running phpBB 3.3.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
hpoifol
Registered User
Posts: 4
Joined: Wed Sep 21, 2022 1:29 pm

hi i need help

Post by hpoifol »

Support Request Template
What version of phpBB are you using? phpBB 3.3.8
What is your board's URL? No answer given
Who do you host your board with? No answer given
How did you install your board? Please select your answer
What is the most recent action performed on your board? Please select your answer
Is registration required to reproduce this issue? No
Do you have any MODs installed? No
Do you have any extensions installed? No
What styles do you currently have installed? No answer given
What language(s) is your board currently using? fr
Which database type/version are you using? I Don't Know
What is your level of experience? New to phpBB but not PHP
What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? i'm trying to install phpBB3 on subdomain of a website i have puted the lang_fr-3.3.8 folder into the folder of my subdomain on my server
and run the /phpBB3/install like the tutorial advice to url but i get a 404
Please describe your problem. No answer given
Generated by SRT Generator
User avatar
Mick
Support Team Member
Support Team Member
Posts: 24559
Joined: Fri Aug 29, 2008 9:49 am
Contact:

Re: hi i need help

Post by Mick »

Welcome to phpBB

A link to your board will help.
  • "The more connected we get the more alone we become" - Kyle Broflovski©
  • "The good news is hell is just the product of a morbid human imagination.
    The bad news is, whatever humans can imagine, they can usually create.
    " - Harmony Cobel
User avatar
david63
Registered User
Posts: 20602
Joined: Thu Dec 19, 2002 8:08 am
Location: Lancashire, UK
Contact:

Re: hi i need help

Post by david63 »

hpoifol wrote: Wed Sep 21, 2022 1:33 pm but i get a 404
And what do your server error logs say is the cause of that error?
hpoifol wrote: Wed Sep 21, 2022 1:33 pm i have puted the lang_fr-3.3.8 folder into the folder
You cannot add another language pack until you have installed your board. It may, or may not, be connected with the error but I would remove that folder until you have your board installed.
David
Remember: You only know what you know and - you don't know what you don't know!
My CDB Contributions | How to install an extension
I will not be accepting translations for any of my extensions in Github - please post any translations in the appropriate topic.
No support requests via PM or email as they will be ignored
hpoifol
Registered User
Posts: 4
Joined: Wed Sep 21, 2022 1:29 pm

Re: hi i need help

Post by hpoifol »

ok i'm really new to phpBB3 so i dont know what u mean by board how do i install it ?
i have just followed the instruction on french installation tutorial so far,
it says dl archive unzip it and put it on server the go to url /phpBB3/install/ url and thats where im stuck
User avatar
Mick
Support Team Member
Support Team Member
Posts: 24559
Joined: Fri Aug 29, 2008 9:49 am
Contact:

Re: hi i need help

Post by Mick »

Basically phpBB is “bulletin board” software comprising of multiple forums.

See the phpBB 3.3.x Installation guide.
  • "The more connected we get the more alone we become" - Kyle Broflovski©
  • "The good news is hell is just the product of a morbid human imagination.
    The bad news is, whatever humans can imagine, they can usually create.
    " - Harmony Cobel
hpoifol
Registered User
Posts: 4
Joined: Wed Sep 21, 2022 1:29 pm

Re: hi i need help

Post by hpoifol »

ok ty for your help sir
hpoifol
Registered User
Posts: 4
Joined: Wed Sep 21, 2022 1:29 pm

Re: hi i need help

Post by hpoifol »

ok so i have succesfully droped all of the files on the website, but again i got a problem running the /install/app
so u know i got a vhost. At the root of my website i got folder where i plan to install phpbb. it is called forum.agape-lorrainenord.eu
So when i run install/app.php i got this error :

Code: Select all

[phpBB Debug] "include(/var/www/vhosts/agape-lorrainenord.eu/forum.agape-lorrainenord.eu/phpBB3/vendor/composer/../ocramius/proxy-manager/src/ProxyManager/ProxyGenerator/LazyLoadingValueHolder/MethodGenerator/InitializeProxy.php): Failed to open stream: No such file or directory" in file /var/www/vhosts/agape-lorrainenord.eu/forum.agape-lorrainenord.eu/phpBB3/vendor/composer/ClassLoader.php on line 571
 [phpBB Debug] "include(): Failed opening '/var/www/vhosts/agape-lorrainenord.eu/forum.agape-lorrainenord.eu/phpBB3/vendor/composer/../ocramius/proxy-manager/src/ProxyManager/ProxyGenerator/LazyLoadingValueHolder/MethodGenerator/InitializeProxy.php' for inclusion (include_path='.:/opt/plesk/php/8.0/share/pear')" in file /var/www/vhosts/agape-lorrainenord.eu/forum.agape-lorrainenord.eu/phpBB3/vendor/composer/ClassLoader.php on line 571
 [phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../install/update/new/phpbb/cache/driver/file.php) is not within the allowed path(s): (/var/www/vhosts/agape-lorrainenord.eu/:/tmp/)" in file /var/www/vhosts/agape-lorrainenord.eu/forum.agape-lorrainenord.eu/phpBB3/phpbb/class_loader.php on line 126
 [phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../phpbb/cache/driver/file.php) is not within the allowed path(s): (/var/www/vhosts/agape-lorrainenord.eu/:/tmp/)" in file /var/www/vhosts/agape-lorrainenord.eu/forum.agape-lorrainenord.eu/phpBB3/phpbb/class_loader.php on line 126
 [phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../ext/phpbb/cache/driver/file.php) is not within the allowed path(s): (/var/www/vhosts/agape-lorrainenord.eu/:/tmp/)" in file /var/www/vhosts/agape-lorrainenord.eu/forum.agape-lorrainenord.eu/phpBB3/phpbb/class_loader.php on line 126
 [phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../install/update/new/phpbb/cache/driver/base.php) is not within the allowed path(s): (/var/www/vhosts/agape-lorrainenord.eu/:/tmp/)" in file /var/www/vhosts/agape-lorrainenord.eu/forum.agape-lorrainenord.eu/phpBB3/phpbb/class_loader.php on line 126
 [phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../phpbb/cache/driver/base.php) is not within the allowed path(s): (/var/www/vhosts/agape-lorrainenord.eu/:/tmp/)" in file /var/www/vhosts/agape-lorrainenord.eu/forum.agape-lorrainenord.eu/phpBB3/phpbb/class_loader.php on line 126
 [phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../ext/phpbb/cache/driver/base.php) is not within the allowed path(s): (/var/www/vhosts/agape-lorrainenord.eu/:/tmp/)" in file /var/www/vhosts/agape-lorrainenord.eu/forum.agape-lorrainenord.eu/phpBB3/phpbb/class_loader.php on line 126
 [phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../install/update/new/phpbb/cache/driver/driver_interface.php) is not within the allowed path(s): (/var/www/vhosts/agape-lorrainenord.eu/:/tmp/)" in file /var/www/vhosts/agape-lorrainenord.eu/forum.agape-lorrainenord.eu/phpBB3/phpbb/class_loader.php on line 126
 [phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../phpbb/cache/driver/driver_interface.php) is not within the allowed path(s): (/var/www/vhosts/agape-lorrainenord.eu/:/tmp/)" in file /var/www/vhosts/agape-lorrainenord.eu/forum.agape-lorrainenord.eu/phpBB3/phpbb/class_loader.php on line 126
 [phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../ext/phpbb/cache/driver/driver_interface.php) is not within the allowed path(s): (/var/www/vhosts/agape-lorrainenord.eu/:/tmp/)" in file /var/www/vhosts/agape-lorrainenord.eu/forum.agape-lorrainenord.eu/phpBB3/phpbb/class_loader.php on line 126
User avatar
warmweer
Jr. Extension Validator
Posts: 8864
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium
Contact:

Re: hi i need help

Post by warmweer »

hpoifol wrote: Wed Sep 21, 2022 2:36 pm ok so i have succesfully droped all of the files on the website, but again i got a problem running the /install/app
so u know i got a vhost. At the root of my website i got folder where i plan to install phpbb. it is called forum.agape-lorrainenord.eu
So when i run install/app.php i got this error :

[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../install/update/new/phpbb/cache/driver/file.php) is not within the allowed path(s): (/var/www/vhosts/agape-lorrainenord.eu/:/tmp/)" in file /var/www/vhosts/agape-lorrainenord.eu/forum.agape-lorrainenord.eu/phpBB3/phpbb/class_loader.php on line 126
[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../phpbb/cache/driver/file.php) is not within the allowed path(s): (/var/www...
That seems to be an update using the Advanced Update package, which is wrong : for an install you need the Full Package

Since your intention is to install a board: you might want to read https://www.phpbb.com/support/docs/en/3 ... uickstart/
Spelling is freeware, which means you can use it for free.
On the other hand, it is not open source, which means you cannot change it or publish it in a modified form.


Time flies like an arrow, but fruit flies like a banana.
Post Reply

Return to “[3.3.x] Support Forum”